diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_configurations/static/js/fts_configuration.js b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_configurations/static/js/fts_configuration.js
index 0049de5bd..073dd4acc 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_configurations/static/js/fts_configuration.js
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_configurations/static/js/fts_configuration.js
@@ -93,32 +93,6 @@ define('pgadmin.node.fts_configuration', [
           }
         );
       },
-
-      // Defining model for FTS Configuration node
-      model: pgAdmin.Browser.Node.Model.extend({
-        idAttribute: 'oid',
-
-        initialize: function(attrs, opts) {
-          var isNew = (_.size(attrs) === 0);
-          pgAdmin.Browser.Node.Model.prototype.initialize.apply(this, arguments);
-
-          if (isNew) {
-            var user = pgBrowser.serverInfo[opts.node_info.server._id].user;
-            this.set({
-              'owner': user.name,
-              'schema': opts.node_info.schema._id,
-            }, {silent: true});
-          }
-        },
-        // Defining schema for FTS Configuration
-        schema: [{
-          id: 'name', label: gettext('Name'), cell: 'string',
-          type: 'text', cellHeaderClasses: 'width_percent_50',
-        }, {
-          id: 'description', label: gettext('Comment'), cell: 'string',
-          type: 'multiline', cellHeaderClasses: 'width_percent_50',
-        }],
-      }),
     });
   }
 
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_dictionaries/static/js/fts_dictionary.js b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_dictionaries/static/js/fts_dictionary.js
index 5d5bd3a8f..0ea741034 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_dictionaries/static/js/fts_dictionary.js
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_dictionaries/static/js/fts_dictionary.js
@@ -88,31 +88,6 @@ define('pgadmin.node.fts_dictionary', [
           }
         );
       },
-
-      // Defining backform model for FTS Dictionary node
-      model: pgAdmin.Browser.Node.Model.extend({
-        idAttribute: 'oid',
-        initialize: function(attrs, args) {
-          var isNew = (_.size(attrs) === 0);
-          pgAdmin.Browser.Node.Model.prototype.initialize.apply(this, arguments);
-
-          if (isNew) {
-            var user = pgBrowser.serverInfo[args.node_info.server._id].user;
-            this.set({
-              'owner': user.name,
-              'schema': args.node_info.schema._id,
-            }, {silent: true});
-          }
-        },
-        // Defining schema for fts dictionary
-        schema: [{
-          id: 'name', label: gettext('Name'), cell: 'string',
-          type: 'text', cellHeaderClasses: 'width_percent_50',
-        }, {
-          id: 'description', label: gettext('Comment'), cell: 'string',
-          type: 'multiline', cellHeaderClasses: 'width_percent_50',
-        }],
-      }),
     });
   }
 
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_parsers/static/js/fts_parser.js b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_parsers/static/js/fts_parser.js
index 27a4ce87f..ad5579d0d 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_parsers/static/js/fts_parser.js
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_parsers/static/js/fts_parser.js
@@ -70,108 +70,6 @@ define('pgadmin.node.fts_parser', [
 
       },
 
-      // Defining backform model for fts parser node
-      model: pgAdmin.Browser.Node.Model.extend({
-        idAttribute: 'oid',
-        defaults: {
-          name: undefined,          // Fts parser name
-          is_sys_obj: undefined,  // Is system object
-          description: undefined,   // Comment on parser
-        },
-        initialize: function(attrs, args) {
-          var isNew = (_.size(attrs) === 0);
-          pgAdmin.Browser.Node.Model.prototype.initialize.apply(
-            this, arguments
-          );
-          if (isNew) {
-            this.set('schema', args.node_info.schema._id);
-          }
-        },
-        // Defining schema for fts parser
-        schema: [{
-          id: 'name', label: gettext('Name'), cell: 'string',
-          type: 'text', cellHeaderClasses: 'width_percent_50',
-        },{
-          id: 'oid', label: gettext('OID'), cell: 'string',
-          editable: false, type: 'text', mode:['properties'],
-        },{
-          id: 'description', label: gettext('Comment'), cell: 'string',
-          type: 'multiline', cellHeaderClasses: 'width_percent_50',
-        }],
-
-        /*
-         * Triggers control specific error messages for parser name,
-         * start, token, end, lextype functions and schema, if any one of them is not specified
-         * while creating new fts parser
-         */
-        validate: function() {
-          var name = this.get('name'),
-            start = this.get('prsstart'),
-            token = this.get('prstoken'),
-            end = this.get('prsend'),
-            lextype = this.get('prslextype'),
-            schema = this.get('schema'),
-            msg;
-
-          // Validate fts parser name
-          if (_.isUndefined(name) ||
-                _.isNull(name) ||
-                String(name).replace(/^\s+|\s+$/g, '') == '') {
-            msg = gettext('Name must be specified.');
-            this.errorModel.set('name', msg);
-            return msg;
-          }
-
-          // Validate start function control
-          else if (_.isUndefined(start) ||
-                    _.isNull(start) ||
-                    String(start).replace(/^\s+|\s+$/g, '') == '') {
-            msg = gettext('Start function must be selected.');
-            this.errorModel.set('prsstart', msg);
-            return msg;
-          }
-
-          // Validate gettoken function control
-          else if (_.isUndefined(token) ||
-                    _.isNull(token) ||
-                    String(token).replace(/^\s+|\s+$/g, '') == '') {
-            msg = gettext('Get next token function must be selected.');
-            this.errorModel.set('prstoken', msg);
-            return msg;
-          }
-
-          // Validate end function control
-          else if (_.isUndefined(end) ||
-                    _.isNull(end) ||
-                    String(end).replace(/^\s+|\s+$/g, '') == '') {
-            msg = gettext('End function must be selected.');
-            this.errorModel.set('prsend', msg);
-            return msg;
-          }
-
-          // Validate lextype function control
-          else if (_.isUndefined(lextype) ||
-                    _.isNull(lextype) ||
-                    String(lextype).replace(/^\s+|\s+$/g, '') == '') {
-            msg = gettext('Lextype function must be selected.');
-            this.errorModel.set('prslextype', msg);
-            return msg;
-          }
-
-          // Validate schema for fts parser
-          else if (_.isUndefined(schema) ||
-                    _.isNull(schema) ||
-                    String(schema).replace(/^\s+|\s+$/g, '') == '') {
-            msg = gettext('Schema must be selected.');
-            this.errorModel.set('schema', msg);
-            return msg;
-          }
-          else this.errorModel.clear();
-
-          this.trigger('on-status-clear');
-          return null;
-        },
-      }),
       getSchema: (treeNodeInfo, itemNodeData) => {
         let nodeObj = pgAdmin.Browser.Nodes['fts_parser'];
         return new FTSParserSchema(
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_templates/static/js/fts_template.js b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_templates/static/js/fts_template.js
index 791adb2f9..5320246f3 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_templates/static/js/fts_template.js
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_templates/static/js/fts_template.js
@@ -70,65 +70,6 @@ define('pgadmin.node.fts_template', [
 
       },
 
-      // Defining backform model for fts template node
-      model: pgAdmin.Browser.Node.Model.extend({
-        idAttribute: 'oid',
-        initialize: function(attrs, args) {
-          var isNew = (_.size(attrs) === 0);
-          pgAdmin.Browser.Node.Model.prototype.initialize.apply(this, arguments);
-          if (isNew) {
-            this.set('schema', args.node_info.schema._id);
-          }
-        },
-        // Defining schema for fts template
-        schema: [{
-          id: 'name', label: gettext('Name'), cell: 'string',
-          type: 'text', cellHeaderClasses: 'width_percent_50',
-        },{
-          id: 'oid', label: gettext('OID'), cell: 'string',
-          editable: false, type: 'text', mode:['properties'],
-        },{
-          id: 'description', label: gettext('Comment'), cell: 'string',
-          type: 'multiline', cellHeaderClasses: 'width_percent_50',
-        }],
-
-        /*
-         * Triggers control specific error messages for template name,
-         * lexize function and schema, if any one of them is not specified
-         * while creating new fts template
-         */
-        validate: function() {
-          var name = this.get('name'),
-            lexize = this.get('tmpllexize'),
-            schema = this.get('schema'),
-            msg;
-
-          // Validate fts template name
-          if (_.isUndefined(name) || _.isNull(name) || String(name).replace(/^\s+|\s+$/g, '') == '') {
-            msg = gettext('Name must be specified.');
-            this.errorModel.set('name', msg);
-            return msg;
-          }
-
-          // Validate lexize function control
-          else if (_.isUndefined(lexize) || _.isNull(lexize) || String(lexize).replace(/^\s+|\s+$/g, '') == '') {
-            msg = gettext('Lexize function must be selected.');
-            this.errorModel.set('tmpllexize', msg);
-            return msg;
-          }
-
-          // Validate schema for fts template
-          else if (_.isUndefined(schema) || _.isNull(schema) || String(schema).replace(/^\s+|\s+$/g, '') == '') {
-            msg = gettext('Schema must be selected.');
-            this.errorModel.set('schema', msg);
-            return msg;
-          }
-          else this.errorModel.clear();
-
-          this.trigger('on-status-clear');
-          return null;
-        },
-      }),
       getSchema: (treeNodeInfo, itemNodeData) => {
         let nodeObj = pgAdmin.Browser.Nodes['fts_template'];
         return new FTSTemplateSchema(
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/static/js/function.js b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/static/js/function.js
index 41171c62a..b9107d98f 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/static/js/function.js
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/static/js/function.js
@@ -11,7 +11,6 @@ import { getNodeAjaxOptions, getNodeListByName, getNodeListById} from '../../../
 import FunctionSchema from './function.ui';
 import { getNodePrivilegeRoleSchema } from '../../../../../static/js/privilege.ui';
 import { getNodeVariableSchema } from '../../../../../static/js/variable.ui';
-import _ from 'lodash';
 
 /* Create and Register Function Collection and Node. */
 define('pgadmin.node.function', [
@@ -109,44 +108,7 @@ define('pgadmin.node.function', [
           }
         );
       },
-      model: pgBrowser.Node.Model.extend({
-        idAttribute: 'oid',
-        initialize: function(attrs, args) {
-          var isNew = (_.size(attrs) === 0);
-          if (isNew) {
-            // Set Selected Schema
-            var schema_id = args.node_info.schema._id;
-            this.set({'pronamespace': schema_id}, {silent: true});
-
-            // Set Current User
-            var userInfo = pgBrowser.serverInfo[args.node_info.server._id].user;
-            this.set({'funcowner': userInfo.name}, {silent: true});
-          }
-          pgBrowser.Node.Model.prototype.initialize.apply(this, arguments);
-        },
-        schema: [{
-          id: 'name', label: gettext('Name'), cell: 'string',
-          type: 'text', mode: ['properties', 'create', 'edit'],
-          disabled: 'isDisabled',
-        },{
-          id: 'oid', label: gettext('OID'), cell: 'string',
-          type: 'text' , mode: ['properties'],
-        },{
-          id: 'funcowner', label: gettext('Owner'), cell: 'string',
-          control: Backform.NodeListByNameControl, node: 'role',  type:
-          'text', disabled: 'isDisabled',
-        },{
-          id: 'pronamespace', label: gettext('Schema'), cell: 'string',
-          control: 'node-list-by-id', type: 'text', cache_level: 'database',
-          node: 'schema', disabled: 'isDisabled', mode: ['create', 'edit'],
-        },{
-          id: 'description', label: gettext('Comment'), cell: 'string',
-          type: 'multiline', disabled: 'isDisabled',
-        }],
-      }),
     });
-
   }
-
   return pgBrowser.Nodes['function'];
 });
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/static/js/procedure.js b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/static/js/procedure.js
index 1b6b61863..7cbcdc907 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/static/js/procedure.js
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/static/js/procedure.js
@@ -11,7 +11,6 @@ import { getNodeAjaxOptions, getNodeListByName, getNodeListById} from '../../../
 import FunctionSchema from './function.ui';
 import { getNodePrivilegeRoleSchema } from '../../../../../static/js/privilege.ui';
 import { getNodeVariableSchema } from '../../../../../static/js/variable.ui';
-import _ from 'lodash';
 
 /* Create and Register Procedure Collection and Node. */
 define('pgadmin.node.procedure', [
@@ -126,126 +125,6 @@ define('pgadmin.node.procedure', [
         );
       },
 
-      model: Function.model.extend({
-        defaults: _.extend({},
-          Function.model.prototype.defaults,
-          {
-            lanname: 'edbspl',
-          }
-        ),
-        canVarAdd: function() {
-          var server = this.node_info.server;
-          return server.version >= 90500;
-        },
-        isVisible: function() {
-          if (this.name == 'sysfunc') { return false; }
-          else if (this.name == 'sysproc') { return true; }
-          return false;
-        },
-        isDisabled: function(m) {
-          if(this.node_info &&  'catalog' in this.node_info) {
-            return true;
-          }
-          switch(this.name){
-          case 'provolatile':
-          case 'proisstrict':
-          case 'procost':
-          case 'proleakproof':
-            if(this.node_info.server.version < 90500 ||
-              this.node_info.server.server_type != 'ppas' ||
-              m.get('lanname') != 'edbspl') {
-
-              setTimeout(function() {
-                m.set('provolatile', null);
-                m.set('proisstrict', false);
-                m.set('procost', null);
-                m.set('proleakproof', false);
-              }, 10);
-              return true;
-            }
-            else{
-              return false;
-            }
-          case 'variables':
-          case 'prosecdef':
-            return this.node_info.server.version < 90500;
-          case 'prorows':
-            var server = this.node_info.server;
-            return !(server.version >= 90500 && m.get('proretset') == true);
-          case 'proparallel':
-            if (this.node_info.server.version < 90600 ||
-              this.node_info.server.server_type != 'ppas' ||
-              m.get('lanname') != 'edbspl') {
-              setTimeout(function() {
-                m.set('proparallel', null);
-              }, 10);
-              return true;
-            }
-            else{
-              return false;
-            }
-          case 'lanname':
-            return this.node_info.server.version < 110000;
-          default:
-            return false;
-          }
-        },
-        validate: function()
-        {
-          var err = {},
-            errmsg,
-            seclabels = this.get('seclabels');
-
-          if (_.isUndefined(this.get('name')) || String(this.get('name')).replace(/^\s+|\s+$/g, '') == '') {
-            err['name'] = gettext('Name cannot be empty.');
-            errmsg = err['name'];
-          }
-
-          if (_.isUndefined(this.get('pronamespace')) || String(this.get('pronamespace')).replace(/^\s+|\s+$/g, '') == '') {
-            err['pronamespace'] = gettext('Schema cannot be empty.');
-            errmsg = errmsg || err['pronamespace'];
-          }
-
-          if (_.isUndefined(this.get('lanname')) || String(this.get('lanname')).replace(/^\s+|\s+$/g, '') == '') {
-            err['lanname'] = gettext('Language cannot be empty.');
-            errmsg = errmsg || err['lanname'];
-          }
-
-          if (String(this.get('lanname')) == 'c') {
-            if (_.isUndefined(this.get('probin')) || String(this.get('probin'))
-              .replace(/^\s+|\s+$/g, '') == '') {
-              err['probin'] = gettext('Object File cannot be empty.');
-              errmsg = errmsg || err['probin'];
-            }
-
-            if (_.isUndefined(this.get('prosrc_c')) || String(this.get('prosrc_c')).replace(/^\s+|\s+$/g, '') == '') {
-              err['prosrc_c'] = gettext('Link Symbol cannot be empty.');
-              errmsg = errmsg || err['prosrc_c'];
-            }
-          }
-          else {
-            if (_.isUndefined(this.get('prosrc')) || String(this.get('prosrc')).replace(/^\s+|\s+$/g, '') == '') {
-              err['prosrc'] = gettext('Code cannot be empty.');
-              errmsg = errmsg || err['prosrc'];
-            }
-          }
-
-          if (seclabels) {
-            var secLabelsErr;
-            for (var i = 0; i < seclabels.models.length && !secLabelsErr; i++) {
-              secLabelsErr = (seclabels.models[i]).validate.apply(seclabels.models[i]);
-              if (secLabelsErr) {
-                err['seclabels'] = secLabelsErr;
-                errmsg = errmsg || secLabelsErr;
-              }
-            }
-          }
-
-          this.errorModel.clear().set(err);
-
-          return null;
-        },
-      }),
     });
 
   }
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/static/js/trigger_function.js b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/static/js/trigger_function.js
index ec0b9f2c5..1eed8e8bf 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/static/js/trigger_function.js
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/static/js/trigger_function.js
@@ -107,151 +107,6 @@ define('pgadmin.node.trigger_function', [
           }
         );
       },
-      model: pgBrowser.Node.Model.extend({
-        idAttribute: 'oid',
-        initialize: function(attrs, args) {
-          var isNew = (_.size(attrs) === 0);
-          if (isNew) {
-            // Set Selected Schema
-            var schema_id = args.node_info.schema._id;
-            this.set({'pronamespace': schema_id}, {silent: true});
-
-            // Set Current User
-            var userInfo = pgBrowser.serverInfo[args.node_info.server._id].user;
-            this.set({'funcowner': userInfo.name}, {silent: true});
-          }
-          pgBrowser.Node.Model.prototype.initialize.apply(this, arguments);
-        },
-        defaults: {
-          name: undefined,
-          oid: undefined,
-          funcowner: undefined,
-          description: undefined,
-        },
-        schema: [{
-          id: 'name', label: gettext('Name'), cell: 'string',
-          type: 'text', mode: ['properties', 'create', 'edit'],
-          disabled: 'isDisabled', readonly: 'isReadonly',
-        },{
-          id: 'oid', label: gettext('OID'), cell: 'string',
-          type: 'text' , mode: ['properties'],
-        },{
-          id: 'funcowner', label: gettext('Owner'), cell: 'string',
-          control: Backform.NodeListByNameControl, node: 'role',  type:
-          'text', disabled: 'isDisabled', readonly: 'isReadonly',
-        },{
-          id: 'description', label: gettext('Comment'), cell: 'string',
-          type: 'multiline', disabled: 'isDisabled', readonly: 'isReadonly',
-        }],
-        validate: function(keys)
-        {
-          var err = {},
-            errmsg,
-            seclabels = this.get('seclabels');
-
-          // Nothing to validate
-          if(keys && keys.length == 0) {
-            this.errorModel.clear();
-            return null;
-          }
-
-          if (_.isUndefined(this.get('name')) || String(this.get('name')).replace(/^\s+|\s+$/g, '') == '') {
-            err['name'] = gettext('Name cannot be empty.');
-            errmsg = err['name'];
-          }
-
-          if (_.isUndefined(this.get('funcowner')) || String(this.get('funcowner')).replace(/^\s+|\s+$/g, '') == '') {
-            err['funcowner'] = gettext('Owner cannot be empty.');
-            errmsg = errmsg || err['funcowner'];
-          }
-
-          if (_.isUndefined(this.get('pronamespace')) || String(this.get('pronamespace')).replace(/^\s+|\s+$/g, '') == '') {
-            err['pronamespace'] = gettext('Schema cannot be empty.');
-            errmsg = errmsg || err['pronamespace'];
-          }
-
-          if (_.isUndefined(this.get('prorettypename')) || String(this.get('prorettypename')).replace(/^\s+|\s+$/g, '') == '') {
-            err['prorettypename'] = gettext('Return type cannot be empty.');
-            errmsg = errmsg || err['prorettypename'];
-          }
-
-          if (_.isUndefined(this.get('lanname')) || String(this.get('lanname')).replace(/^\s+|\s+$/g, '') == '') {
-            err['lanname'] = gettext('Language cannot be empty.');
-            errmsg = errmsg || err['lanname'];
-          }
-
-          if (String(this.get('lanname')) == 'c') {
-            if (_.isUndefined(this.get('probin')) || String(this.get('probin'))
-              .replace(/^\s+|\s+$/g, '') == '') {
-              err['probin'] = gettext('Object File cannot be empty.');
-              errmsg = errmsg || err['probin'];
-            }
-
-            if (_.isUndefined(this.get('prosrc_c')) || String(this.get('prosrc_c')).replace(/^\s+|\s+$/g, '') == '') {
-              err['prosrc_c'] = gettext('Link Symbol cannot be empty.');
-              errmsg = errmsg || err['prosrc_c'];
-            }
-          }
-          else {
-            if (_.isUndefined(this.get('prosrc')) || String(this.get('prosrc')).replace(/^\s+|\s+$/g, '') == '') {
-              err['prosrc'] = gettext('Code cannot be empty.');
-              errmsg = errmsg || err['prosrc'];
-            }
-          }
-
-          if (seclabels) {
-            var secLabelsErr;
-            for (var i = 0; i < seclabels.models.length && !secLabelsErr; i++) {
-              secLabelsErr = (seclabels.models[i]).validate.apply(seclabels.models[i]);
-              if (secLabelsErr) {
-                err['seclabels'] = secLabelsErr;
-                errmsg = errmsg || secLabelsErr;
-              }
-            }
-          }
-
-          this.errorModel.clear().set(err);
-
-          if (_.size(err)) {
-            this.trigger('on-status', {msg: errmsg});
-            return errmsg;
-          }
-
-          return null;
-        },
-        isVisible: function() {
-          if (this.name == 'sysproc') { return false; }
-          return true;
-        },
-        isReadonly: function(m) {
-          switch(this.name){
-          case 'proargs':
-          case 'proargtypenames':
-          case 'prorettypename':
-          case 'proretset':
-          case 'proiswindow':
-            return !m.isNew();
-          default:
-            return false;
-          }
-        },
-        isDisabled: function(m) {
-          if(this.node_info &&  'catalog' in this.node_info) {
-            return true;
-          }
-          if (this.name === 'prorows'){
-            if(m.get('proretset') == true) {
-              return false;
-            }
-            return true;
-          } else {
-            return false;
-          }
-        },
-        canVarAdd: function() {
-          return !(this.node_info &&  'catalog' in this.node_info);
-        },
-      }),
     });
 
   }
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/operators/static/js/operator.js b/web/pgadmin/browser/server_groups/servers/databases/schemas/operators/static/js/operator.js
index 98fff6bab..3a2bb65a8 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/operators/static/js/operator.js
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/operators/static/js/operator.js
@@ -45,37 +45,6 @@ define('pgadmin.node.operator', [
 
         this.initialized = true;
       },
-      model: pgAdmin.Browser.Node.Model.extend({
-        idAttribute: 'oid',
-
-        // Default values!
-        initialize: function(attrs, args) {
-          var isNew = (_.size(attrs) === 0);
-
-          if (isNew) {
-            var userInfo = pgBrowser.serverInfo[args.node_info.server._id].user;
-            var schemaInfo = args.node_info.schema;
-
-            this.set({'owner': userInfo.name}, {silent: true});
-            this.set({'schema': schemaInfo._label}, {silent: true});
-          }
-          pgAdmin.Browser.Node.Model.prototype.initialize.apply(this, arguments);
-        },
-
-        schema: [{
-          id: 'name', label: gettext('Operator'), cell: 'string',
-          type: 'text', mode: ['properties', 'create', 'edit'],
-        },{
-          id: 'owner', label: gettext('Owner'), cell: 'string',
-          type: 'text', mode: ['properties', 'create', 'edit'],
-          control: 'node-list-by-name',
-          node: 'role',
-        },{
-          id: 'description', label: gettext('Comment'), cell: 'string',
-          type: 'multiline', mode: ['properties', 'create', 'edit'],
-        }
-        ],
-      }),
       getSchema: ()=>{
         return new OperatorSchema();
       }
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/packages/edbvars/static/js/edbvar.js b/web/pgadmin/browser/server_groups/servers/databases/schemas/packages/edbvars/static/js/edbvar.js
index a3c340407..d9ebb9d3d 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/packages/edbvars/static/js/edbvar.js
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/packages/edbvars/static/js/edbvar.js
@@ -48,16 +48,6 @@ define('pgadmin.node.edbvar', [
       },
       canDrop: false,
       canDropCascade: false,
-      model: pgBrowser.Node.Model.extend({
-        idAttribute: 'oid',
-        schema: [{
-          id: 'name', label: gettext('Name'), cell: 'string',
-          type: 'text', mode: ['properties'],
-        },{
-          id: 'oid', label: gettext('OID'), cell: 'string',
-          type: 'text' , mode: ['properties'],
-        }]
-      }),
       getSchema: () => {
         return new EDBVarSchema();
       }
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/packages/static/js/package.js b/web/pgadmin/browser/server_groups/servers/databases/schemas/packages/static/js/package.js
index a2ce63fc3..003f379bd 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/packages/static/js/package.js
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/packages/static/js/package.js
@@ -92,41 +92,6 @@ define('pgadmin.node.package', [
         // by default we want to allow create menu
         return true;
       },
-      // Define the model for package node.
-      model: pgBrowser.Node.Model.extend({
-        idAttribute: 'oid',
-        initialize: function(attrs, args) {
-          if (_.size(attrs) === 0) {
-            var userInfo = pgBrowser.serverInfo[args.node_info.server._id].user;
-            var schemaInfo = args.node_info.schema;
-
-            this.set({
-              'owner': userInfo.name, 'schema': schemaInfo._label,
-            }, {silent: true});
-          }
-          pgAdmin.Browser.Node.Model.prototype.initialize.apply(this, arguments);
-        },
-        // Define the schema for package node.
-        schema: [{
-          id: 'name', label: gettext('Name'), cell: 'string',
-          type: 'text', mode: ['properties', 'create', 'edit'],
-          readonly: function(m) {
-            return !m.isNew();
-          },
-        },{
-          id: 'oid', label: gettext('OID'), cell: 'string',
-          type: 'text', mode: ['properties'],
-        },{
-          id: 'owner', label: gettext('Owner'), cell: 'string',
-          type: 'text', mode: ['properties', 'create', 'edit'],
-          readonly: true, editable: false, visible: function(m) {
-            return !m.isNew();
-          },
-        },{
-          id: 'description', label: gettext('Comment'), type: 'multiline',
-          mode: ['properties', 'create', 'edit'],
-        }]
-      }),
       getSchema: (treeNodeInfo, itemNodeData) => {
         var nodeObj = pgBrowser.Nodes['package'];
         return new PackageSchema(
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/sequences/static/js/sequence.js b/web/pgadmin/browser/server_groups/servers/databases/schemas/sequences/static/js/sequence.js
index 6c358fd58..0e336682a 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/sequences/static/js/sequence.js
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/sequences/static/js/sequence.js
@@ -106,41 +106,6 @@ define('pgadmin.node.sequence', [
           }
         );
       },
-
-      // Define the model for sequence node.
-      model: pgBrowser.Node.Model.extend({
-        idAttribute: 'oid',
-
-        // Default values!
-        initialize: function(attrs, args) {
-          var isNew = (_.size(attrs) === 0);
-
-          if (isNew) {
-            var userInfo = pgBrowser.serverInfo[args.node_info.server._id].user;
-            var schemaInfo = args.node_info.schema;
-
-            this.set({'seqowner': userInfo.name}, {silent: true});
-            this.set({'schema': schemaInfo._label}, {silent: true});
-          }
-          pgBrowser.Node.Model.prototype.initialize.apply(this, arguments);
-        },
-
-        // Define the schema for sequence node.
-        schema: [{
-          id: 'name', label: gettext('Name'), cell: 'string',
-          type: 'text', mode: ['properties', 'create', 'edit'],
-        },{
-          id: 'oid', label: gettext('OID'), cell: 'string',
-          type: 'text', mode: ['properties'],
-        },{
-          id: 'seqowner', label: gettext('Owner'), cell: 'string',
-          type: 'text', mode: ['properties', 'create', 'edit'], node: 'role',
-          control: Backform.NodeListByNameControl,
-        },{
-          id: 'comment', label: gettext('Comment'), type: 'multiline',
-          mode: ['properties', 'create', 'edit'],
-        }],
-      }),
     });
   }
 
